sppp_reopen
Prev | Chapter 3. Public Functions Provided | Next

## Name

sppp_reopen — notify of physical link loss

## Synopsis

`int sppp_reopen (` | struct net_device * | dev`)`;

## Arguments

`dev`

  Device that lost the link

## Description

This function informs the synchronous protocol code that the underlying link died (for example a carrier drop on X.21)

We increment the magic numbers to ensure that if the other end failed to notice we will correctly start a new session. It happens do to the nature of telco circuits is that you can lose carrier on one endonly.

Having done this we go back to negotiating. This function may be called from an interrupt context.

Prev | Up | Next
sppp_open | Home | sppp_do_ioctl